package com.bonus.core.marketing.v2.rule.recharge.handler.maxamount.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel("充值规则详情-上限金额")
public class RechargeMaxAmountDTO {
   @ApiModelProperty("上限金额")
   private BigDecimal maxAmount;

   public BigDecimal getMaxAmount() {
      return this.maxAmount;
   }

   public void setMaxAmount(final BigDecimal maxAmount) {
      this.maxAmount = maxAmount;
   }

   public RechargeMaxAmountDTO(final BigDecimal maxAmount) {
      this.maxAmount = maxAmount;
   }
}
